Bug 1534117 - PHP closing tag in /etc/ganglia/conf.php
Summary: PHP closing tag in /etc/ganglia/conf.php
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: ganglia
Version: epel7
Hardware: Unspecified
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Nick
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-13 10:15 UTC by Thomas Gebert
Modified: 2020-10-23 22:50 UTC (History)
2 users (show)

Fixed In Version: ganglia-3.7.2-33.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-23 22:50:41 UTC
Type: Bug


Attachments (Terms of Use)

Description Thomas Gebert 2018-01-13 10:15:12 UTC
Description of problem:
When there is a newline in the /etc/ganglia/conf.php file after the ?> PHP closing tag, the graphs are not displayed anymore. I think this is a common PHP issue and not related to the ganglia-web code itself.
On http://php.net/manual/en/language.basic-syntax.phptags.php it states "...If a file is pure PHP code, it is preferable to omit the PHP closing tag at the end of the file...".
The ?> closing tag is also omitted in the default config file /usr/share/ganglia/conf_default.php.

Version-Release number of selected component (if applicable):
ganglia-web-3.7.1-2.el7.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. add a new line/empty line after the ?> closing tag in /etc/ganglia/conf.php 
2. reload your Ganglia site in the browser

Actual results:
Graphs are not displayed.

Expected results:
Graphs are displayed.

Additional info:

Comment 1 Fedora Update System 2020-10-08 22:13:53 UTC
FEDORA-EPEL-2020-fee165c6a2 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-fee165c6a2

Comment 2 Fedora Update System 2020-10-09 00:02:47 UTC
FEDORA-EPEL-2020-fee165c6a2 has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-fee165c6a2

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 3 Fedora Update System 2020-10-23 22:50:41 UTC
FEDORA-EPEL-2020-fee165c6a2 has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.